com.gary.msr.proto

## Class MSRFileUtil

- java.lang.Object
- - com.gary.msr.proto.MSRFileUtil

-     public class MSRFileUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSRFileUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getFilenames()`
    `static MSRLayerParams.MSRLayer1Params` | `getParam1()`
    `static MSRLayerParams.MSRLayer2Params` | `getParam2()`
    `static java.util.List<MSRLayerParams.MSRLayerNParam>` | `getParamns()`
    `static boolean` | `isFileExist(java.lang.String filename)`
    `static void` | `readParams(java.lang.String filename)`
    `static void` | `setParam1(MSRLayerParams.MSRLayer1Params _param1)`
    `static void` | `setParam2(MSRLayerParams.MSRLayer2Params _param2)`
    `static void` | `setParamns(java.util.List<MSRLayerParams.MSRLayerNParam> paramns)`
    `static void` | `writeParams(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSRFileUtil

          public MSRFileUtil()

  - ### Method Detail

    - #### getParamns

          public static java.util.List<MSRLayerParams.MSRLayerNParam> getParamns()

    - #### getParam1

          public static MSRLayerParams.MSRLayer1Params getParam1()

    - #### getParam2

          public static MSRLayerParams.MSRLayer2Params getParam2()

    - #### setParam1

          public static void setParam1(MSRLayerParams.MSRLayer1Params _param1)

    - #### setParamns

          public static void setParamns(java.util.List<MSRLayerParams.MSRLayerNParam> paramns)

    - #### setParam2

          public static void setParam2(MSRLayerParams.MSRLayer2Params _param2)

    - #### writeParams

          public static void writeParams(java.lang.String filename)

    - #### readParams

          public static void readParams(java.lang.String filename)

    - #### getFilenames

          public static java.lang.String[] getFilenames()

    - #### isFileExist

          public static boolean isFileExist(java.lang.String filename)